package com.diaoyun.zion.chinafrica.service;

import com.diaoyun.zion.chinafrica.vo.FlutterWaveCard;
import com.diaoyun.zion.master.base.Result;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

/**
 * @Auther: wudepeng
 * @Date: 2019/11/09
 * @Description:
 */
public interface FlutterWaveService {
    Result payForOrder(String orderId, FlutterWaveCard flutterWaveCard);

    Result verifyPay(String orderId);

    Result refund(FlutterWaveCard flutterWaveCard);

    Result queryParams(String userId);
}
